package cli

import "github.com/urfave/cli/v2"

var appNewCommand = &cli.Command{
	Name: "new",
}
var appDeployCommand = &cli.Command{
	Name: "deploy",
}
var appUndeployCommand = &cli.Command{
	Name: "undeploy",
}
var appBackupCommand = &cli.Command{
	Name: "backup",
}
var appRestoreCommand = &cli.Command{
	Name: "restore",
}
var appListCommand = &cli.Command{
	Name: "list",
}
var appCheckCommand = &cli.Command{
	Name: "check",
}
var appCpCommand = &cli.Command{
	Name: "cp",
}
var appConfigCommand = &cli.Command{
	Name: "config",
}
var appLogsCommand = &cli.Command{
	Name: "logs",
}

var appPsCommand = &cli.Command{
	Name: "ps",
}
var appRemoveCommand = &cli.Command{
	Name: "remove",
}
var appRunCommand = &cli.Command{
	Name: "run",
}

var appRollbackCommand = &cli.Command{
	Name: "rollback",
}

var appSecretCommand = &cli.Command{
	Name: "secret",
}

var AppCommand = &cli.Command{
	Name:     "app",
	HideHelp: true,
	Subcommands: []*cli.Command{
		appNewCommand,
		appConfigCommand,
		appDeployCommand,
		appUndeployCommand,
		appBackupCommand,
		appRestoreCommand,
		appRemoveCommand,
		appCheckCommand,
		appListCommand,
		appPsCommand,
		appLogsCommand,
		appCpCommand,
		appRunCommand,
		appRollbackCommand,
		appSecretCommand,
	},
}
